Loading...
Searching...
No Matches
SlidingWindow.h File Reference

Defines the sliding_window lowering optimization pass, which avoids computing provably-already-computed values. More...

`#include <map>`
`#include <string>`
`#include "Expr.h"`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Functions

Stmt | Halide::Internal::sliding_window (const Stmt &s, const std::map< std::string, Function > &env)
| Perform sliding window optimizations on a halide statement.

## Detailed Description

Defines the sliding_window lowering optimization pass, which avoids computing provably-already-computed values.

Definition in file SlidingWindow.h.